# IntlCalendar::setLenient

(PHP 5 >= 5.5.0, PHP 7, PECL >= 3.0.0a1)

IntlCalendar::setLenient — Set whether date/time interpretation is to be lenient

### Description

Object oriented style

public IntlCalendar::setLenient ( bool `$isLenient` ) : bool

Procedural style

intlcal_set_lenient ( IntlCalendar `$cal` , bool `$isLenient` ) : bool

Defines whether the calendar is ‘lenient mode’. In such a mode, some of out-of-bounds values for some fields are accepted, the behavior being similar to that of IntlCalendar::add() (i.e., the value wraps around, carrying into more significant fields each time). If the lenient mode is off, then such values will generate an error.

### Parameters

`cal`

  The IntlCalendar resource.

`isLenient`

  Use `TRUE` to activate the lenient mode; `FALSE` otherwise.

### Return Values

Returns `TRUE` on success. Failure can only happen due to invalid parameters.

### Examples

See the example in IntlCalendar::isLenient().